% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/estimate_changepoint.R
\name{simulate_p_mvn}
\alias{simulate_p_mvn}
\title{Simulate p-values using multivariate normal distribution}
\usage{
simulate_p_mvn(score_table, nsim = 10000, reg = 0.001)
}
\arguments{
\item{score_table}{Table of model scores}

\item{nsim}{Number of simulations (default: 1e4)}

\item{reg}{Regularization parameter for covariance matrix (default: 1e-3)}
}
\value{
Probability that the null model is the best scoring model
}
\description{
Simulate p-values using multivariate normal distribution
}
\details{
Uses Monte Carlo simulation to compute the probability that the null model
is the best scoring model under multivariate normal assumptions.
}
\keyword{internal}
